package com.gct.tool;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication
@EnableFeignClients
@MapperScan("com.gct.tool.mapper*")
public class DataAnalyseToolApplication {

    public static void main(String[] args) {
        SpringApplication.run(DataAnalyseToolApplication.class, args);
    }

}

