package com.gct.tool.feign;

import com.alibaba.fastjson.JSONObject;
import com.gct.tool.config.DataBankTokenInterceptor;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@FeignClient(url = "tlmdatabank.tlm.pcep.cloud", name = "databank-client", path = "/api/dde/",configuration = DataBankTokenInterceptor.class)
public interface DataBankClient {

    @PostMapping(value = "masterdataservice/CD_WELL")
    JSONObject getCdWellData(@RequestBody Map query, @RequestParam int page,@RequestParam int size,@RequestParam String identity);

    /*
    http://tlmdatabank.tlm.pcep.cloud/api/dde/
     */
    @PostMapping(value = "governdataservice/struct/OP_PRO_COMPLETION_VOL_DAILY/query")
    JSONObject getVolDailyData(@RequestBody Map query, @RequestParam int page,@RequestParam int size,@RequestParam String identity);

}
