package com.gct.tool.mapper.centralbase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.tool.entity.centralbase.CbPcProWellboreVolDaily;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 采出井井筒生产日数据 Mapper 接口
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Mapper
public interface CbPcProWellboreVolDailyMapper extends BaseMapper<CbPcProWellboreVolDaily> {
    CbPcProWellboreVolDaily getWellBoreVolDaily(String wellId,String prodDate);

    CbPcProWellboreVolDaily getA2DataForCalVolDaily(@Param("wellName") String wellName, @Param("dataTime") String dataTime);

    Page<Map<String,Object>> getCbPcProWellBoreVolDaily(IPage<Map<String,Object>> page, @Param("sql") String sql);
}
