package com.gct.tool.config;

import com.alibaba.fastjson.JSONObject;
import com.gct.tool.feign.DataBankClient;
import com.gct.tool.feign.DataBankTokenClient;
import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Controller;

@Component
public class DataBankTokenInterceptor implements RequestInterceptor {

    @Autowired
    DataBankTokenClient tokenClient;

    @Override
    public void apply(RequestTemplate requestTemplate) {
        if (requestTemplate.url().contains("token"))return;
        String jso = tokenClient.getToken("client_credentials", "b7511da5-6116-46d5-ad4b-01d5952c0d81", "v3r6f8a7qsj1fc80li0kcept");
        JSONObject body = JSONObject.parseObject(jso);
        requestTemplate.header("Authorization","Bearer "+body.getString("access_token"));//请求头添加token
    }
}
