package com.gct.tool.feign;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@FeignClient(url = "tlmdatabank.tlm.pcep.cloud", name = "databank-token-client", path = "uaa/oauth/")
public interface DataBankTokenClient {

    @PostMapping(value = "token")
    public String getToken(@RequestParam("grant_type") String grantType,@RequestParam("client_id") String clientId,@RequestParam("client_secret") String clientSecret);
}
